cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections/{endpoint_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"status":"AVAILABLE"}'{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "PENDING",
"external_owner_id": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Set the AWS Endpoint Connection state
The “status” in the response does not reflect the latest post-update status, but rather the status before the state is transitioned.
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
aws-endpoint-connections
/
{endpoint_id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/aws-endpoint-connections/{endpoint_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"status":"AVAILABLE"}'{
"cloud_provider": "GCP",
"endpoint_id": "<string>",
"region_name": "<string>",
"service_id": "<string>",
"status": "PENDING",
"external_owner_id": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
A successful response.

